final case class PathParameter(name: String, description: Doc, required: Boolean, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, style: PathStyle = QueryStyle.Simple, explode: Boolean = false, examples: Map[String, ExampleOrReference]) extends Parameter with Product with Serializable
Used together with Path Templating, where the parameter value is actually part of the operation’s URL. This does not include the host or base path of the API. For example, in /items/{itemId}, the path parameter is itemId.
- name
The name of the parameter. Parameter names are case sensitive.
- description
A brief description of the parameter.
- required
Determines whether this parameter is mandatory.
- deprecated
Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.
- allowEmptyValue
Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.
- Alphabetic
- By Inheritance
- PathParameter
- Serializable
- Serializable
- Product
- Equals
- Parameter
- ParameterOrReference
- OpenAPIBase
- AnyRef
- Any
- Hide All
- Show All
- Public
- All
Instance Constructors
-
new
PathParameter(name: String, description: Doc, required: Boolean, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, style: PathStyle = QueryStyle.Simple, explode: Boolean = false, examples: Map[String, ExampleOrReference])
- name
The name of the parameter. Parameter names are case sensitive.
- description
A brief description of the parameter.
- required
Determines whether this parameter is mandatory.
- deprecated
Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.
- allowEmptyValue
Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.
Value Members
-
final
def
!=(arg0: Any): Boolean
- Definition Classes
- AnyRef → Any
-
final
def
##(): Int
- Definition Classes
- AnyRef → Any
-
final
def
==(arg0: Any): Boolean
- Definition Classes
- AnyRef → Any
-
val
allowEmptyValue: Boolean
- Definition Classes
- PathParameter → Parameter
-
final
def
asInstanceOf[T0]: T0
- Definition Classes
- Any
-
def
clone(): AnyRef
- Attributes
- protected[lang]
- Definition Classes
- AnyRef
- Annotations
- @throws( ... ) @native() @IntrinsicCandidate()
-
val
definition: Definition
- Definition Classes
- PathParameter → Parameter
-
val
deprecated: Boolean
- Definition Classes
- PathParameter → Parameter
-
val
description: Doc
- Definition Classes
- PathParameter → Parameter
-
final
def
eq(arg0: AnyRef): Boolean
- Definition Classes
- AnyRef
-
def
equals(obj: Any): Boolean
A unique parameter is defined by a combination of a name and location.
A unique parameter is defined by a combination of a name and location.
- Definition Classes
- Parameter → AnyRef → Any
-
val
examples: Map[String, ExampleOrReference]
- Definition Classes
- PathParameter → Parameter
-
val
explode: Boolean
- Definition Classes
- PathParameter → Parameter
-
final
def
getClass(): Class[_]
- Definition Classes
- AnyRef → Any
- Annotations
- @native() @IntrinsicCandidate()
-
def
in: String
- Definition Classes
- PathParameter → Parameter
-
final
def
isInstanceOf[T0]: Boolean
- Definition Classes
- Any
-
val
name: String
- Definition Classes
- PathParameter → Parameter
-
final
def
ne(arg0: AnyRef): Boolean
- Definition Classes
- AnyRef
-
final
def
notify(): Unit
- Definition Classes
- AnyRef
- Annotations
- @native() @IntrinsicCandidate()
-
final
def
notifyAll(): Unit
- Definition Classes
- AnyRef
- Annotations
- @native() @IntrinsicCandidate()
-
val
required: Boolean
- Definition Classes
- PathParameter → Parameter
- val style: PathStyle
-
final
def
synchronized[T0](arg0: ⇒ T0): T0
- Definition Classes
- AnyRef
-
def
toJson: String
- Definition Classes
- Parameter → OpenAPIBase
-
final
def
wait(arg0: Long, arg1: Int): Unit
- Definition Classes
- AnyRef
- Annotations
- @throws( ... )
-
final
def
wait(arg0: Long): Unit
- Definition Classes
- AnyRef
- Annotations
- @throws( ... ) @native()
-
final
def
wait(): Unit
- Definition Classes
- AnyRef
- Annotations
- @throws( ... )